#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoogle
version:              5.0.18.4
visibility:           public
id:                   hoogle-5.0.18.4-JsvR6OMEd76CGzm6Y0Bola
key:                  hoogle-5.0.18.4-JsvR6OMEd76CGzm6Y0Bola
license:              BSD-3-Clause
copyright:            Neil Mitchell 2004-2024
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:             https://hoogle.haskell.org/
synopsis:             Haskell API Search
description:
    Hoogle is a Haskell API search engine, which allows you to
    search many standard Haskell libraries by either function name,
    or by approximate type signature.

category:             Development
abi:                  5432e05d57d29550309450d8c465dc04
exposed:              True
exposed-modules:      Hoogle
hidden-modules:
    Paths_hoogle Action.CmdLine Action.Generate Action.Search
    Action.Server Action.Test Input.Cabal Input.Download Input.Haddock
    Input.Item Input.Reorder Input.Set Input.Settings Output.Items
    Output.Names Output.Tags Output.Types Query General.Conduit
    General.IString General.Log General.Store General.Str
    General.Template General.Timing General.Util General.Web

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hoogle
hs-libraries:         HShoogle-5.0.18.4-JsvR6OMEd76CGzm6Y0Bola
include-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4/include
includes:             include.h
depends:
    QuickCheck-2.14.3-9ctTGwhcKShHhapxNhoaES
    aeson-2.1.2.1-GLiPeiAR7ZSFwx9H49aVEA base-4.16.4.0 binary-0.8.9.0
    blaze-html-0.9.2.0-6Obf0pDfpLV1qrK2k7xIGC
    blaze-markup-0.8.3.0-HgAxg6afY1T5WT2tOLveMb bytestring-0.11.4.0
    cmdargs-0.10.22-JQ4ivQZzeRmKKTWVSPDfjg
    conduit-1.3.6-ITaJCDyfp5cDfMMsLf8jTY
    conduit-extra-1.3.6-7cOngLJQ86324FKmW3fOja containers-0.6.5.1
    crypton-connection-0.3.2-Kxhp1AsWf99fCM5JJfmYr deepseq-1.4.6.1
    directory-1.3.6.2 extra-1.7.16-KTtRHJlyHaS3KSkgnIAhfn
    filepath-1.4.2.2 foundation-0.0.30-HGERhRs5JCDILoHDx95jS
    hashable-1.4.4.0-LbPl9rwTnDUL4mxyCHHqh0
    haskell-src-exts-1.23.1-1wKlAKue04bAAc2kpPdhfF
    http-conduit-2.3.9.1-KMq0N6ASCn52mCiM15XfE5
    http-types-0.12.4-2rcXIQEupHkLpBuJocqUeT
    js-flot-0.8.3-CzHXKBaovyL8SpvVY5AoqF
    js-jquery-3.3.1-ExcWJxHRMgCD7SVr3fT2n7
    mmap-0.5.9-Ev5kK7GQQYl5y5LE8RvEAs
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7
    process-extras-0.7.4-FdS3iJLzugw9DN5IC7hQgm
    resourcet-1.2.6-E5mNqm21rnVD9a20HIq84b
    safe-0.3.21-8EWvV5l6gQBAbLZPjhOEwa
    storable-tuple-0.1-3eY8PLZCHG63w4QrVxYRXu
    tar-0.5.1.1-JmEWuuh8SMRDwf2nb8bMVh template-haskell-2.18.0.0
    text-1.2.5.0 time-1.11.1.1 transformers-0.5.6.2
    uniplate-1.6.13-IbA5Xf5dLuC3osf2n4M6d2
    utf8-string-1.0.2-AQMRv3gsvE14uh4nlO1egX
    vector-0.13.1.0-Il4qKxVtRccCcBZCzPMWy6
    wai-3.2.4-83nL8q5RTK4Dndd0zz0g4N
    wai-logger-2.5.0-DcNcwtWBoDx4vNaV50xUS8
    warp-3.3.30-LqRcUhv7Ou07StZX8VESOX
    warp-tls-3.4.9-5qKPYcZTOgw7lWO65qrTLG
    zlib-0.6.3.0-97o0TmiaM07EQZKApzmzV

haddock-interfaces:   /usr/share/doc/hoogle/html/hoogle.haddock
haddock-html:         /usr/share/doc/hoogle/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

